## com.google.javascript.rhino.jstype
Class JSType.TypePair

    java.lang.Object
      com.google.javascript.rhino.jstype.JSType.TypePair

Enclosing class:
  JSType

    public static class JSType.TypePair

extends Object

Field Summary
`JSType` | `typeA`
`JSType` | `typeB`

Constructor Summary
`JSType.TypePair(JSType typeA, JSType typeB)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeA

    public final JSType typeA

### typeB

    public final JSType typeB

Constructor Detail

### JSType.TypePair

    public JSType.TypePair(JSType typeA,
                           JSType typeB)